Bug 978958 - RFE: journalctl should be case insensitive and use of "*"
RFE: journalctl should be case insensitive and use of "*"
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: systemd-maint
qe-baseos-daemons
: FutureFeature, Reopened
Depends On:
Blocks: 959971
  Show dependency treegraph
 
Reported: 2013-06-27 07:37 EDT by Petr Sklenar
Modified: 2014-06-13 07:55 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:55:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-06-27 07:37:53 EDT
Description of problem:
 journalctl should be case insensitive and couls accept *

Version-Release number of selected component (if applicable):
 systemd 204

How reproducible:
its rfe

Steps to Reproduce:
1. journalctl --unit Network*
2. journalctl --unit Networkmanager

Actual results:
journalctl accepts only strict name of the unit.
Please add some behaviour to be case insensitive
journalctl --unit NetworkManager is only one possible way

Expected results:
journalctl --unit networkmanager
journalctl --unit network*
journalctl --unit Network*


Additional info:
Comment 3 Harald Hoyer 2013-06-27 08:25:04 EDT
you know, that you have bash completion with <tab> ?
Comment 4 Lukáš Nykrýn 2013-07-23 10:45:29 EDT
I think that <tab> here is a nice solution and names of unit files are case-sensitive, so this would lead to inconsistency. Also --unit can be specified only once and takes only one argument.
Comment 5 Petr Sklenar 2013-08-06 09:46:44 EDT
Hello,
please could you consider usage of asterisk or any grepping feature 

some usecase like:

1, you would like service network + NetworkManager:
journalctl --unit [nN]etwork*

2, grep all from log daemons, and you don't know if there is syslog / rsyslog on the system:
sudo journalctl --unit *syslog

3, you are not sure about the right name:
sudo journalctl --unit *vnc
Comment 11 Harald Hoyer 2013-09-06 05:59:34 EDT
Tab completion is the solution in Fedora for this problem.

The internal structure of the journal index does not easily allow support of wildcards.

The usability issues are better addressed with bash completion, which already works... 

_BUT_ apparently somebody decided, that RHEL-7 should _NOT_ have bash completion at all.
Comment 12 Lukáš Nykrýn 2014-06-13 07:55:31 EDT
At the end rhel7 has bash-completion, which solves this issue quite nicely.

Note You need to log in before you can comment on or make changes to this bug.